%define major_version 2.2
%define evolution_version 2.2.0

Name:		ximian-connector
Summary:	Exchange Connector for Evolution
Version: 2.2.3
Release: 2mdk
License: 	GPL
Group:		Networking/Mail
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2

URL: 		http://www.ximian.com/products/ximian_evolution/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# (fc) 0.8-5mdk implicit dependency is not enough
Requires: evolution >= %{evolution_version}
BuildRequires: evolution-devel >= %{evolution_version}
BuildRequires: evolution-data-server-devel
BuildRequires: openldap-devel 
BuildRequires: krb5-devel
BuildRequires: perl-XML-Parser
BuildRequires: automake1.7
BuildRequires: intltool
BuildRequires: gnome-common

%description
Ximian Connector is a connector to allow access to Exchange server 
for Evolution.

Currently, only Exchange 2000 and 2003 are supported.
%prep
%setup -q 

#fix build for x86-64
aclocal-1.7
automake-1.7
autoconf

%build

%configure2_5x --with-openldap=yes --with-static-ldap=no \
--with-krb5=%{_prefix} --with-krb5-libs=%{_libdir}

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std


#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution-data-server-1.2/camel-providers/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/evolution-mail-importers/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/evolution-calendar-importers/*.{a,la}

%{find_lang} %{name}-%{major_version} --with-gnome

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{major_version}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libexecdir}/evolution/%{major_version}/evolution-exchange-storage
%{_libdir}/evolution/%{major_version}/*.so*
%{_libdir}/evolution-data-server-1.2/camel-providers/*.so
%{_libdir}/evolution-data-server-1.2/camel-providers/*.urls
%{_datadir}/gtk-doc/html/ximian-connector
%{_datadir}/ximian-connector

%changelog
* Sun Sep 04 2005 Michael Scherer <misc@mandriva.org> 2.2.3-2mdk
- Rebuild to avoid libglitz deps

* Thu Sep 01 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-1mdk 
- Release 2.2.3

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-6mdk
- rebuilt against new openldap-2.3.6 libs

* Fri Jun 17 2005 Andreas Hasenack <andreas@mandriva.com> 2.2.2-5mdk
- rebuilt without krb4 support

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.2-4mdk
- Rebuild for libkrb53-devel 1.4.1

* Sat May 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.2-3mdk
- add BuildRequires: intltool gnome-common

* Mon May 09 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-2mdk 
- Fix build on x86-64

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-1mdk 
- Release 2.2.2

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk 
- Release 2.0.4

* Wed Jan 12 2005 Michael Scherer <misc@mandrake.org> 2.0.3-3mdk
- add the supported iExchange version in description

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk 
- Rebuild with latest howl

* Tue Dec  7 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- New release 2.0.3
- Remove patch 0 (merged upstream)

* Mon Oct 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch0: initialize i18n correctly 

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Tue Aug 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.94.1-1mdk
- Release 1.5.94.1

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-2mdk
- Rebuild with latest libsoup

* Fri Aug 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-1mdk
- Release 1.5.93
- Remove patch0 (merged upstream)

* Fri Aug 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.92-3mdk
- Patch0 (CVS): fix build with Evolution 1.5.93
- Rebuild with latest libsoup

* Mon Aug 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.92-2mdk
- Relax dependencies a little 

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesofto.com> 1.5.92-1mdk
- Release 1.5.92

* Mon Aug 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.91-2mdk
- fix BuildRequires

* Tue Jul 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.91-1mdk
- New release 1.5.91

* Wed Jul 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.90-1mdk
- Release 1.5.90
- Fix description
- Clean specfile
- Drop patch 0

* Sun Jun 20 2004 Luca Berra <bluca@vodka.it> 1.5.9-1mdk 
- 1.5.9

* Tue May 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.7-1mdk
- Initial Mdk package
